"Troi File 1" = "T7fi1YnYYnn";
/*				 ^--^ || | |---- // No Win32s support (always n)	*/
/*			     |    || |------ // Want idle time 					*/
/*			     |    ||-------- // No old external functions		*/
/*			     |    |--------- // Has preferences dialog			*/
/*			     |------------- // 'XMpl' plug-in ID				*/

"Troi File 128" = "Troi File Plug-in";
/* NOTE: Troi File 129 no longer used, now includes versionNum see Tr7_Handle_FMXT_GetString_Improved */
"Troi File 129" = "This plug-in (for FileMaker 7 and later) adds external functions for file and folder manipulation.\nSee the plug-in documentation or visit our site: \nwww.troi.com";


"Troi File 4201" = "TrFile_AppendContents( switches ; text )";
"Troi File 4202" = "TrFile_ContentsDialog( switches ; { prompt ; { initialFolder } } )";
"Troi File 4203" = "TrFile_Control( switches; password )";
"Troi File 4204" = "TrFile_ConvertFromFMText( switches ; text )";
"Troi File 4205" = "TrFile_ConvertToFMText( switches ; text )";
"Troi File 4210" = "TrFile_CopyFile( switches ; sourceFileSpec ; destinationFileSpec )";
"Troi File 4211" = "TrFile_CreateFile( switches ; FileSpec )";
"Troi File 4212" = "TrFile_CreateFolder( switches ; FileSpec )";
"Troi File 4213" = "TrFile_DeleteFile( switches ; FileSpec )";
"Troi File 4214" = "TrFile_DeleteFolder( switches ; FolderSpec )";
"Troi File 4215" = "TrFile_DiskInfo( switches ; diskname )";
"Troi File 4216" = "TrFile_Exists( switches ; FileSpec )";

"Troi File 4220" = "TrFile_FileSpecToFullPath( switches ; FileSpec )";
"Troi File 4221" = "TrFile_FindFolder( folderswitch )";
"Troi File 4222" = "TrFile_FullPathToFileSpec( switches ; FileSpec )";
"Troi File 4223" = "TrFile_GetContents( switches ; FileSpec { ; start ; { size } } )";
"Troi File 4224" = "TrFile_GetDataSize( switches ; FileSpec )";
"Troi File 4230" = "TrFile_GetDateCreated( switches ; FileSpec )";
"Troi File 4231" = "TrFile_GetDateModified( switches ; FileSpec )";
"Troi File 4232" = "TrFile_GetTimestampCreated( switches ; FileSpec )";
"Troi File 4233" = "TrFile_GetTimestampModified( switches ; FileSpec )";
"Troi File 4234" = "TrFile_GetFileAttribute( switches ; FileSpec )";

"Troi File 4240" = "TrFile_GetFileCreator( switches ; FileSpec )";
"Troi File 4241" = "TrFile_GetFileSize( switches ; FileSpec )";
"Troi File 4242" = "TrFile_GetFileType( switches ; FileSpec )";
"Troi File 4243" = "TrFile_GetPathTo( switches ; desiredFilename ; fileSize )";
"Troi File 4244" = "TrFile_GetResForkSize( switches ; FileSpec )";
"Troi File 4250" = "TrFile_GetTimeCreated( switches ; FileSpec )";
"Troi File 4251" = "TrFile_GetTimeModified( switches ; FileSpec )";
"Troi File 4252" = "TrFile_Launch( switches ; FileSpec ; { params } )";
"Troi File 4253" = "TrFile_ListDisks( switches )";
"Troi File 4254" = "TrFile_ListFolder( switches ; FileSpec )";

"Troi File 4260" = "TrFile_MetaData( switches ; FileSpec )";
"Troi File 4261" = "TrFile_MountDisk( switches ; zone ; server; disk; { username ; password } )";
"Troi File 4262" = "TrFile_MoveFile( switches ; sourceFileSpec ; destinationFileSpec )";
"Troi File 4263" = "TrFile_ReferenceToClip( switches ; FileSpec ; { pathToFMFile } )";
"Troi File 4264" = "TrFile_SaveFileDialog( switches ; prompt ; { defaultName ; { initialFolder } } )";
"Troi File 4270" = "TrFile_Search( switches ; volume ; searchName )";
"Troi File 4271" = "TrFile_SelectFileDialog( switches ; prompt ; { initialFolder } )";
"Troi File 4272" = "TrFile_SelectFolderDialog( switches ; prompt ; { initialFolder } )";
"Troi File 4273" = "TrFile_SetContents( switches ; text )";
"Troi File 4274" = "TrFile_SetDefaultCreator( switches ; Creator )";

"Troi File 4280" = "TrFile_SetDefaultFileSpec( switches ; FileSpec )";
"Troi File 4281" = "TrFile_SetDefaultType( switches ; fileType )";
"Troi File 4282" = "TrFile_SetFileAttribute( switches ; Filespec ; cftype ; comment )";
"Troi File 4283" = "TrFile_Substitute( switches ; sourceFile ; destinationFile ; search string ; replace string )";
"Troi File 4284" = "TrFile_CreateThumbnail( switches ; FileSpec )";
"Troi File 4285" = "TrFile_SetTimestampCreated( switches ; Filespec ; timestamp )";
"Troi File 4286" = "TrFile_SetTimestampModified( switches ; Filespec ; timestamp )";
"Troi File 4287" = "TrFile_SetMetaData( switches ; sourceFileSpec ; destFileSpec ; metadata )";

"Troi File 4290" = "TrFile_UnmountDisk( switches ; diskname )";
"Troi File 4291" = "TrFile_GetDateLastAccessed( switches ; FileSpec )";
"Troi File 4292" = "TrFile_GetTimeLastAccessed( switches ; FileSpec )";
"Troi File 4293" = "TrFile_GetTimeStampLastAccessed( switches ; FileSpec )";

"Troi File 4294" = "TrFile_AsciiValueToText( switches ; AsciiValues ; { separator } )";
"Troi File 4295" = "TrFile_ExecuteShell( switches ; shellCommand )";
"Troi File 4296" = "TrFile_CopyFolder( switches ; sourceFolderSpec ; destinationFolderSpec )";
"Troi File 4297" = "TrFile_MoveFolder( switches ; sourceFolderSpec ; destinationFolderSpec )";
"Troi File 4298" = "TrFile_DragAndDrop( switches ; fileName; scriptName ; { fieldBounds } )";
"Troi File 4299" = "TrFile_Reveal( switches ; FileSpec )";
"Troi File 4300" = "TrFile_GetTypeOfItem( switches ; FileSpec )";

"Troi File 9000" = "TrFile_Version";
"Troi File 9001" = "TrFile_Version( switches )";
"Troi File 9002" = "TrFile_VersionAutoUpdate";